/*-----------------------------------------------------------------------
 * File: FREETREE.C
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

#include "ber_der.h"

/*
 * recursively free DER nodes
 */
void 
DER_RecycleTree(BER_HANDLE AppHandle,
                BER_MEMORY_FUNCS_PTR MemoryFunctions,
                DER_NODE_PTR Node)
{
    sint16 i;
    if (!Node) return;

    for (i = 0; i < Node->Count; i++) {
        if (!Node->Child[i].IsLeaf && Node->Child[i].X.Node) 
            DER_RecycleTree(AppHandle, MemoryFunctions, Node->Child[i].X.Node);
    }
    BERDER_FREE_WRAPPER(MemoryFunctions->free_func, AppHandle, Node);
}
