/*-----------------------------------------------------------------------
 * File: BSAFEMEM.C
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

 
#include "geninc.h"
#include <cssmMemTrack.h>

/* Memory management function definitions */
void
T_free(
    POINTER block )
{
    if (block)
        Addin_free(block, NULL);
}

POINTER
T_malloc(
    unsigned int len)
{
    return Addin_malloc(len, NULL);
}

int
T_memcmp(
    POINTER firstBlock,
    POINTER secondBlock,
    unsigned int len)
{
    return memcmp(firstBlock, secondBlock, len);
}

void
T_memcpy(
    POINTER output,
    POINTER input,
    unsigned int len)
{
    memcpy(output, input, len);
}

void
T_memmove (
    POINTER output,
    POINTER input,
    unsigned int len)
{
    memmove(output, input, len);
}

void
T_memset (
    POINTER output,
    int value,
    unsigned int len)
{
    memset(output, value, len);
}

POINTER T_realloc (
    POINTER block,
    unsigned int len)
{
    return Addin_realloc(block, len, NULL);
}
