/*-----------------------------------------------------------------------
 * File: funcstubs.c
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

#include "geninc.h"

CSSM_RETURN CSSMAPI ADDIN_CSM_EventNotify( CSSM_MODULE_HANDLE Handle,
                                           CSSM_CONTEXT_EVENT Event,
                                           CSSM_CC_HANDLE CCHandle,
                                           const CSSM_CONTEXT* pContext )
{
    Handle;
    Event;
    CCHandle;
    pContext;

    return CSSM_OK;
}

void ADDIN_CSM_GenerateMacError( CSM_SESSION *pSession )
{
    pSession;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_GenerateMac( CSM_SESSION *pSession,
                                           const CSSM_DATA *DataBufs,
                                           uint32 DataBufCount,
                                           CSSM_DATA *Mac )
{
    pSession;
    DataBufs;
    DataBufCount;
    Mac;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_GenerateMacInit( CSM_SESSION *pSession )
{
    pSession;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_GenerateMacUpdate( CSM_SESSION *pSession,
                                                 const CSSM_DATA *DataBufs,
                                                 uint32 DataBufCount )
{
    pSession;
    DataBufs;
    DataBufCount;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_GenerateMacFinal( CSM_SESSION *pSession,
                                                CSSM_DATA *Mac )
{
    pSession;
    Mac;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

void ADDIN_CSM_VerifyMacError( CSM_SESSION *pSession )
{
    pSession;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_VerifyMac( CSM_SESSION *pSession,
                                         const CSSM_DATA *DataBufs,
                                         uint32 DataBufCount,
                                         const CSSM_DATA *Mac )
{
    pSession;
    DataBufs;
    DataBufCount;
    Mac;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_VerifyMacInit( CSM_SESSION *pSession )
{
    pSession;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_VerifyMacUpdate( CSM_SESSION *pSession,
                                               const CSSM_DATA *DataBufs,
                                               uint32 DataBufCount )
{
    pSession;
    DataBufs;
    DataBufCount;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_VerifyMacFinal( CSM_SESSION *pSession,
                                              const CSSM_DATA *Mac )
{
    pSession;
    Mac;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_PassThrough( 
                        CSM_SESSION *pSession,
                        uint32 PassThroughId,
                        const void *InData,
                        void **OutData )
{
    pSession;
    PassThroughId;
    InData;
    OutData;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_Login( 
                        CSSM_CSP_HANDLE CSPHandle,
                        const CSSM_ACCESS_CREDENTIALS *AccessCred,
                        const CSSM_DATA *LoginName,
                        const void *Reserved )
{
    CSPHandle;
    AccessCred;
    LoginName;
    Reserved;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_Logout( CSSM_CSP_HANDLE CSPHandle )
{
    CSPHandle;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_ChangeLoginAcl(CSSM_CSP_HANDLE CSPHandle,
                        const CSSM_ACCESS_CREDENTIALS *AccessCred,
                        const CSSM_ACL_EDIT *AclEdit )
{
    CSPHandle;
    AccessCred;
    AclEdit;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_RetrieveUniqueId( CSSM_CSP_HANDLE CSPHandle,
                                                CSSM_DATA *UniqueID )
{
    CSPHandle;
    UniqueID;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_RetrieveCounter( CSSM_CSP_HANDLE CSPHandle,
                                               CSSM_DATA *Counter )
{
    CSPHandle;
    Counter;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_VerifyDevice( CSSM_CSP_HANDLE CSPHandle,
                                            const CSSM_DATA *DeviceCert )
{
    CSPHandle;
    DeviceCert;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_GetTimeValue( CSSM_CSP_HANDLE CSPHandle,
                                            CSSM_ALGORITHMS TimeAlgorithm,
                                            CSSM_DATA *TimeData )
{
    CSPHandle;
    TimeAlgorithm;
    TimeData;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_GetLoginAcl(
                        CSSM_CSP_HANDLE CSPHandle,
                        const CSSM_STRING *SelectionTag,
                        uint32 *NumberOfAclInfos,
                        CSSM_ACL_ENTRY_INFO_PTR *AclInfos )
{
    CSPHandle;
    SelectionTag;
    AclInfos;
    NumberOfAclInfos;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_GetKeyAcl(
                        CSSM_CSP_HANDLE CSPHandle,
                        const CSSM_KEY *Key,
                        const CSSM_STRING *SelectionTag,
                        uint32 *NumberOfAclInfos,
                        CSSM_ACL_ENTRY_INFO_PTR *AclInfos )
{
    CSPHandle;
    Key;
    SelectionTag;
    AclInfos;
    NumberOfAclInfos;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_ChangeKeyAcl(
                        CSSM_CSP_HANDLE CSPHandle,
                        const CSSM_ACCESS_CREDENTIALS *AccessCred,
                        const CSSM_ACL_EDIT *AclEdit,
                        const CSSM_KEY *Key )
{
    CSPHandle;
    AccessCred;
    AclEdit;
    Key;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_GetKeyOwner(
                        CSSM_CSP_HANDLE CSPHandle,
                        const CSSM_KEY *Key,
                        CSSM_ACL_OWNER_PROTOTYPE_PTR Owner )
{
    CSPHandle;
    Key;
    Owner;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_ChangeKeyOwner(
                        CSSM_CSP_HANDLE CSPHandle,
                        const CSSM_ACCESS_CREDENTIALS *AccessCred,
                        const CSSM_KEY *Key,
                        const CSSM_ACL_OWNER_PROTOTYPE *NewOwner )
{
    CSPHandle;
    AccessCred;
    Key;
    NewOwner;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_GetLoginOwner(
                        CSSM_CSP_HANDLE CSPHandle,
                        CSSM_ACL_OWNER_PROTOTYPE_PTR Owner )
{
    CSPHandle;
    Owner;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_ChangeLoginOwner(
                        CSSM_CSP_HANDLE CSPHandle,
                        const CSSM_ACCESS_CREDENTIALS *AccessCred,
                        const CSSM_ACL_OWNER_PROTOTYPE *NewOwner )
{
    CSPHandle;
    AccessCred;
    NewOwner;

    return CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
}
