/*-----------------------------------------------------------------------
 * File: MDS_INTERNAL.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

 


#ifndef MDS_INTERNAL_H
#define MDS_INTERNAL_H

#ifdef __cplusplus
extern "C" {
#endif

/* functions in mds_emulate.cpp */
CSSM_RETURN mds_SetFunctionPointers(
    const CSSM_MEMORY_FUNCS * pMemFuncs,
    MDS_HANDLE *hMds);
#ifdef VMS
#define mds_Terminate mdsint_Terminate

/* function in mds_emulate.cpp */
CSSM_RETURN mds_Terminate(MDS_HANDLE Handle);
#endif

/* functions in mds_create.c */
const CSSM_DBINFO *mds_object_schema_GetDBInfo();
const CSSM_DBINFO *mds_cdsa_schema_GetDBInfo();

#ifdef __cplusplus
}
#endif

#endif
