/*-----------------------------------------------------------------------
 * File: DUMMYMULTICLI_ERR.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

/**************************************************************************
 **************************************************************************

 NEVER MODIFY THE .h VERSION OF THIS FILE BY HAND. IT IS GENERATED USING
 THE SCRIPTS IN THE ./generate DIRECTORY. TO UPDATE THE FILE, CHANGE THE
 .htp FILE WITH THE SAME NAME AND TYPE 'make' FOLLOWED BY 'make install'.

 **************************************************************************
 **************************************************************************/

#ifndef _DUMMYMULTICLI_ERR_H
#define _DUMMYMULTICLI_ERR_H

#include "cssmerr.h"

#ifndef CSSM_CL_PRIVATE_ERROR
#error CSSM_CL_PRIVATE_ERROR not defined
#endif

/* Define the service error codes.
 */
#define CSSMERR_CL_CERT_CREATE_TEMPLATE (CSSM_CL_PRIVATE_ERROR + 1)
#define CSSMERR_CL_CERT_GET_ALL_TEMPLATE_FIELDS (CSSM_CL_PRIVATE_ERROR + 2)
#define CSSMERR_CL_CERT_SIGN (CSSM_CL_PRIVATE_ERROR + 3)
#define CSSMERR_CL_CERT_VERIFY (CSSM_CL_PRIVATE_ERROR + 4)
#define CSSMERR_CL_CERT_VERIFY_WITH_KEY (CSSM_CL_PRIVATE_ERROR + 5)
#define CSSMERR_CL_CERT_GET_FIRST_FIELD_VALUE (CSSM_CL_PRIVATE_ERROR + 6)
#define CSSMERR_CL_CERT_GET_NEXT_FIELD_VALUE (CSSM_CL_PRIVATE_ERROR + 7)
#define CSSMERR_CL_CERT_ABORT_QUERY (CSSM_CL_PRIVATE_ERROR + 8)
#define CSSMERR_CL_CERT_GET_KEY_INFO (CSSM_CL_PRIVATE_ERROR + 9)
#define CSSMERR_CL_CERT_GET_ALL_FIELDS (CSSM_CL_PRIVATE_ERROR + 10)
#define CSSMERR_CL_FREE_FIELDS (CSSM_CL_PRIVATE_ERROR + 11)
#define CSSMERR_CL_FREE_FIELD_VALUE (CSSM_CL_PRIVATE_ERROR + 12)
#define CSSMERR_CL_CERT_CACHE (CSSM_CL_PRIVATE_ERROR + 13)
#define CSSMERR_CL_CERT_GET_FIRST_CACHED_FIELD_VALUE (CSSM_CL_PRIVATE_ERROR + 14)
#define CSSMERR_CL_CERT_GET_NEXT_CACHED_FIELD_VALUE (CSSM_CL_PRIVATE_ERROR + 15)
#define CSSMERR_CL_CERT_ABORT_CACHE (CSSM_CL_PRIVATE_ERROR + 16)
#define CSSMERR_CL_CERT_GROUP_TO_SIGNED_BUNDLE (CSSM_CL_PRIVATE_ERROR + 17)
#define CSSMERR_CL_CERT_GROUP_FROM_VERIFIED_BUNDLE (CSSM_CL_PRIVATE_ERROR + 18)
#define CSSMERR_CL_CERT_DESCRIBE_FORMAT (CSSM_CL_PRIVATE_ERROR + 19)
#define CSSMERR_CL_CRL_CREATE_TEMPLATE (CSSM_CL_PRIVATE_ERROR + 20)
#define CSSMERR_CL_CRL_SET_FIELDS (CSSM_CL_PRIVATE_ERROR + 21)
#define CSSMERR_CL_CRL_ADD_CERT (CSSM_CL_PRIVATE_ERROR + 22)
#define CSSMERR_CL_CRL_REMOVE_CERT (CSSM_CL_PRIVATE_ERROR + 23)
#define CSSMERR_CL_CRL_SIGN (CSSM_CL_PRIVATE_ERROR + 24)
#define CSSMERR_CL_CRL_VERIFY (CSSM_CL_PRIVATE_ERROR + 25)
#define CSSMERR_CL_CRL_VERIFY_WITH_KEY (CSSM_CL_PRIVATE_ERROR + 26)
#define CSSMERR_CL_IS_CERT_IN_CRL (CSSM_CL_PRIVATE_ERROR + 27)
#define CSSMERR_CL_CRL_GET_FIRST_FIELD_VALUE (CSSM_CL_PRIVATE_ERROR + 28)
#define CSSMERR_CL_CRL_GET_NEXT_FIELD_VALUE (CSSM_CL_PRIVATE_ERROR + 29)
#define CSSMERR_CL_CRL_ABORT_QUERY (CSSM_CL_PRIVATE_ERROR + 30)
#define CSSMERR_CL_CRL_GET_ALL_FIELDS (CSSM_CL_PRIVATE_ERROR + 31)
#define CSSMERR_CL_CRL_CACHE (CSSM_CL_PRIVATE_ERROR + 32)
#define CSSMERR_CL_IS_CERT_IN_CACHED_CRL (CSSM_CL_PRIVATE_ERROR + 33)
#define CSSMERR_CL_CRL_GET_FIRST_CACHED_FIELD_VALUE (CSSM_CL_PRIVATE_ERROR + 34)
#define CSSMERR_CL_CRL_GET_NEXT_CACHED_FIELD_VALUE (CSSM_CL_PRIVATE_ERROR + 35)
#define CSSMERR_CL_CRL_GET_ALL_CACHED_RECORD_FIELDS (CSSM_CL_PRIVATE_ERROR + 36)
#define CSSMERR_CL_CRL_ABORT_CACHE (CSSM_CL_PRIVATE_ERROR + 37)
#define CSSMERR_CL_CRL_DESCRIBE_FORMAT (CSSM_CL_PRIVATE_ERROR + 38)
#define CSSMERR_CL_PASS_THROUGH (CSSM_CL_PRIVATE_ERROR + 39)

#endif
