/*-----------------------------------------------------------------------
 * File: DUMMYMULTIDLI_ERR.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

/**************************************************************************
 **************************************************************************

 NEVER MODIFY THE .h VERSION OF THIS FILE BY HAND. IT IS GENERATED USING
 THE SCRIPTS IN THE ./generate DIRECTORY. TO UPDATE THE FILE, CHANGE THE
 .htp FILE WITH THE SAME NAME AND TYPE 'make' FOLLOWED BY 'make install'.

 **************************************************************************
 **************************************************************************/

#ifndef _DUMMYMULTIDLI_ERR_H
#define _DUMMYMULTIDLI_ERR_H

#include "cssmerr.h"

#ifndef CSSM_DL_PRIVATE_ERROR
#error CSSM_DL_PRIVATE_ERROR not defined
#endif

/* Define the service error codes.
 */
#define CSSMERR_DL_DB_OPEN (CSSM_DL_PRIVATE_ERROR + 1)
#define CSSMERR_DL_DB_CLOSE (CSSM_DL_PRIVATE_ERROR + 2)
#define CSSMERR_DL_DB_CREATE (CSSM_DL_PRIVATE_ERROR + 3)
#define CSSMERR_DL_DB_DELETE (CSSM_DL_PRIVATE_ERROR + 4)
#define CSSMERR_DL_AUTHENTICATE (CSSM_DL_PRIVATE_ERROR + 5)
#define CSSMERR_DL_GET_DB_ACL (CSSM_DL_PRIVATE_ERROR + 6)
#define CSSMERR_DL_CHANGE_DB_ACL (CSSM_DL_PRIVATE_ERROR + 7)
#define CSSMERR_DL_GET_DB_OWNER (CSSM_DL_PRIVATE_ERROR + 8)
#define CSSMERR_DL_CHANGE_DB_OWNER (CSSM_DL_PRIVATE_ERROR + 9)
#define CSSMERR_DL_GET_DB_NAMES (CSSM_DL_PRIVATE_ERROR + 10)
#define CSSMERR_DL_GET_DB_NAME_FROM_HANDLE (CSSM_DL_PRIVATE_ERROR + 11)
#define CSSMERR_DL_FREE_NAME_LIST (CSSM_DL_PRIVATE_ERROR + 12)
#define CSSMERR_DL_DATA_INSERT (CSSM_DL_PRIVATE_ERROR + 13)
#define CSSMERR_DL_DATA_DELETE (CSSM_DL_PRIVATE_ERROR + 14)
#define CSSMERR_DL_DATA_MODIFY (CSSM_DL_PRIVATE_ERROR + 15)
#define CSSMERR_DL_DATA_GET_FIRST (CSSM_DL_PRIVATE_ERROR + 16)
#define CSSMERR_DL_DATA_GET_NEXT (CSSM_DL_PRIVATE_ERROR + 17)
#define CSSMERR_DL_DATA_ABORT_QUERY (CSSM_DL_PRIVATE_ERROR + 18)
#define CSSMERR_DL_DATA_GET_FROM_UNIQUE_RECORD_ID (CSSM_DL_PRIVATE_ERROR + 19)
#define CSSMERR_DL_FREE_UNIQUE_RECORD (CSSM_DL_PRIVATE_ERROR + 20)
#define CSSMERR_DL_CREATE_RELATION (CSSM_DL_PRIVATE_ERROR + 21)
#define CSSMERR_DL_DESTROY_RELATION (CSSM_DL_PRIVATE_ERROR + 22)
#define CSSMERR_DL_PASS_THROUGH (CSSM_DL_PRIVATE_ERROR + 23)

#endif
