/*-----------------------------------------------------------------------
 * File: EMM_CALLOUTS.H
 *
 * Copyright (c) 2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

/*
 * This file give prototypes for those functions which must be implemented
 * by EMMs that use MEF.
 */


#ifndef _EMM_CALLOUTS_H_
#define _EMM_CALLOUTS_H_


CSSM_RETURN
emm_Initialize(uint32 VerMajor,
               uint32 VerMinor);


CSSM_RETURN
emm_Terminate();


CSSM_RETURN
emm_EventNotifyManager(const CSSM_MANAGER_EVENT_NOTIFICATION *EventDescription);


#endif /* _EMM_CALLOUTS_H_ */
