/*-----------------------------------------------------------------------
 * File: MEF_INTERFACE.H
 *
 * Copyright (c) 1999-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

/*
 *  This file has prototypes for EMM internal functions and global data.
 */


#ifndef _MEF_INTERFACE_H_
#define _MEF_INTERFACE_H_


/************************************************************************/
/* These functions are only to be called from DllMain, _init()/_fini(), */
/* or their equivalents in other OS's.                                  */
/************************************************************************/

CSSM_RETURN
mef_InitInterface();

CSSM_RETURN
mef_FiniInterface();

/************************************************************************/


/* internal utility functions */

/* this function checks that the EMM has been initialized */
CSSM_RETURN
mef_InitCheck();



/* global data */
extern CSSM_GUID EMM_GUID;
extern CSSM_API_MEMORY_FUNCS APIMemFuncs;


#endif /*_MEF_INTERFACE_H_*/
