#include "callouts.h"

int EISL_RetrieveRootIssuerName(ISL_CALLOUT_DATA *Name)
{
	int index = 0;
	{
	const unsigned char rootIssuerName1[] = {
	0x30, 0x56, 0x31, 0xb, 0x30, 0x9, 0x6, 0x3, 
	0x55, 0x4, 0x8, 0x13, 0x2, 0x4f, 0x52, 0x31, 
	0xc, 0x30, 0xa, 0x6, 0x3, 0x55, 0x4, 0xb, 
	0x13, 0x3, 0x53, 0x54, 0x4c, 0x31, 0xc, 0x30, 
	0xa, 0x6, 0x3, 0x55, 0x4, 0xa, 0x13, 0x3, 
	0x4d, 0x50, 0x4c, 0x31, 0xc, 0x30, 0xa, 0x6, 
	0x3, 0x55, 0x4, 0x6, 0x13, 0x3, 0x55, 0x53, 
	0x41, 0x31, 0x1d, 0x30, 0x1b, 0x6, 0x3, 0x55, 
	0x4, 0x1, 0x13, 0x14, 0x49, 0x6e, 0x74, 0x65, 
	0x6c, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x72, 
	0x69, 0x74, 0x79, 0x20, 0x72, 0x6f, 0x6f, 0x74};
	int len = 88;
	if (Name) {
		if (len > Name[index].length) {
			Name[index].length = 0;
			return 0;
		}
		Name[index].length = len;
		memcpy(Name[index].value, rootIssuerName1, Name[index].length);
	}
	index++;
	}
	return index;
}
