/*-----------------------------------------------------------------------
 * File: CODEFILE.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

/*********************************************************
 * File name: codefile.h                                 *
 * Contains codes associated with framework functions    *
 *********************************************************/

#ifndef _CODEFILE_H
#define _CODEFILE_H

#define FNCODE_AddAttribute                                          (FWK_BASE_CODE +   1)
#define FNCODE_AddManifestSection                                    (FWK_BASE_CODE +   2)
#define FNCODE_AddMultiContext                                       (FWK_BASE_CODE +   3)
#define FNCODE_AddSigSection                                         (FWK_BASE_CODE +   4)
#define FNCODE_AllocAlgList                                          (FWK_BASE_CODE +   5)
#define FNCODE_BER_BerToUnlong                                       (FWK_BASE_CODE +   6)
#define FNCODE_BER_BerToVeryUnLong                                   (FWK_BASE_CODE +   7)
#define FNCODE_BER_CountItems                                        (FWK_BASE_CODE +   8)
#define FNCODE_BER_Decode                                            (FWK_BASE_CODE +   9)
#define FNCODE_BER_DecodeBitString                                   (FWK_BASE_CODE +  10)
#define FNCODE_BER_ExpandItem                                        (FWK_BASE_CODE +  11)
#define FNCODE_BER_ExpandSequence                                    (FWK_BASE_CODE +  12)
#define FNCODE_BER_ExpandSet                                         (FWK_BASE_CODE +  13)
#define FNCODE_BER_FindAttribute                                     (FWK_BASE_CODE +  14)
#define FNCODE_BER_LengthOfLength                                    (FWK_BASE_CODE +  15)
#define FNCODE_BER_LengthOfTag                                       (FWK_BASE_CODE +  16)
#define FNCODE_BER_OidDecode                                         (FWK_BASE_CODE +  17)
#define FNCODE_BER_OutputLength                                      (FWK_BASE_CODE +  18)
#define FNCODE_BER_OutputTag                                         (FWK_BASE_CODE +  19)
#define FNCODE_BER_ParseComplexObject                                (FWK_BASE_CODE +  20)
#define FNCODE_BER_SearchTree                                        (FWK_BASE_CODE +  21)
#define FNCODE_BER_SizeofObject                                      (FWK_BASE_CODE +  22)
#define FNCODE_BER_TagCompare                                        (FWK_BASE_CODE +  23)
#define FNCODE_CSSM_CL_CertAbortQuery                                (FWK_BASE_CODE +  24)
#define FNCODE_CSSM_CL_CertCreateTemplate                            (FWK_BASE_CODE +  25)
#define FNCODE_CSSM_CL_CertDescribeFormat                            (FWK_BASE_CODE +  26)
#define FNCODE_CSSM_CL_CertExport                                    (FWK_BASE_CODE +  27)
#define FNCODE_CSSM_CL_CertGetAllFields                              (FWK_BASE_CODE +  28)
#define FNCODE_CSSM_CL_CertGetFirstFieldValue                        (FWK_BASE_CODE +  29)
#define FNCODE_CSSM_CL_CertGetKeyInfo                                (FWK_BASE_CODE +  30)
#define FNCODE_CSSM_CL_CertGetNextFieldValue                         (FWK_BASE_CODE +  31)
#define FNCODE_CSSM_CL_CertImport                                    (FWK_BASE_CODE +  32)
#define FNCODE_CSSM_CL_CertSign                                      (FWK_BASE_CODE +  33)
#define FNCODE_CSSM_CL_CertUnsign                                    (FWK_BASE_CODE +  34)
#define FNCODE_CSSM_CL_CertVerify                                    (FWK_BASE_CODE +  35)
#define FNCODE_CSSM_CL_CrlAbortQuery                                 (FWK_BASE_CODE +  36)
#define FNCODE_CSSM_CL_CrlAddCert                                    (FWK_BASE_CODE +  37)
#define FNCODE_CSSM_CL_CrlCreateTemplate                             (FWK_BASE_CODE +  38)
#define FNCODE_CSSM_CL_CrlDescribeFormat                             (FWK_BASE_CODE +  39)
#define FNCODE_CSSM_CL_CrlGetFirstFieldValue                         (FWK_BASE_CODE +  40)
#define FNCODE_CSSM_CL_CrlGetNextFieldValue                          (FWK_BASE_CODE +  41)
#define FNCODE_CSSM_CL_CrlRemoveCert                                 (FWK_BASE_CODE +  42)
#define FNCODE_CSSM_CL_CrlSetFields                                  (FWK_BASE_CODE +  43)
#define FNCODE_CSSM_CL_CrlSign                                       (FWK_BASE_CODE +  44)
#define FNCODE_CSSM_CL_CrlVerify                                     (FWK_BASE_CODE +  45)
#define FNCODE_CSSM_CL_IsCertInCrl                                   (FWK_BASE_CODE +  46)
#define FNCODE_CSSM_CL_PassThrough                                   (FWK_BASE_CODE +  47)
#define FNCODE_CSSM_CSP_ChangeLoginPassword                          (FWK_BASE_CODE +  48)
#define FNCODE_CSSM_CSP_CreateAsymmetricContext                      (FWK_BASE_CODE +  49)
#define FNCODE_CSSM_CSP_CreateDeriveKeyContext                       (FWK_BASE_CODE +  50)
#define FNCODE_CSSM_CSP_CreateDigestContext                          (FWK_BASE_CODE +  51)
#define FNCODE_CSSM_CSP_CreateKeyExchContext                         (FWK_BASE_CODE +  52)
#define FNCODE_CSSM_CSP_CreateKeyGenContext                          (FWK_BASE_CODE +  53)
#define FNCODE_CSSM_CSP_CreateMacContext                             (FWK_BASE_CODE +  54)
#define FNCODE_CSSM_CSP_CreatePassThroughContext                     (FWK_BASE_CODE +  55)
#define FNCODE_CSSM_CSP_CreateRandomGenContext                       (FWK_BASE_CODE +  56)
#define FNCODE_CSSM_CSP_CreateSignatureContext                       (FWK_BASE_CODE +  57)
#define FNCODE_CSSM_CSP_CreateSymmetricContext                       (FWK_BASE_CODE +  58)
#define FNCODE_CSSM_CSP_CreateUniqueIdContext                        (FWK_BASE_CODE +  59)
#define FNCODE_CSSM_CSP_Login                                        (FWK_BASE_CODE +  60)
#define FNCODE_CSSM_CSP_Logout                                       (FWK_BASE_CODE +  61)
#define FNCODE_CSSM_CSP_PassThrough                                  (FWK_BASE_CODE +  62)
#define FNCODE_CSSM_ClearError                                       (FWK_BASE_CODE +  63)
#define FNCODE_CSSM_DL_AbortQuery                                    (FWK_BASE_CODE +  64)
#define FNCODE_CSSM_DL_Authenticate                                  (FWK_BASE_CODE +  65)
#define FNCODE_CSSM_DL_DataDelete                                    (FWK_BASE_CODE +  66)
#define FNCODE_CSSM_DL_DataGetFirst                                  (FWK_BASE_CODE +  67)
#define FNCODE_CSSM_DL_DataGetNext                                   (FWK_BASE_CODE +  68)
#define FNCODE_CSSM_DL_DataInsert                                    (FWK_BASE_CODE +  69)
#define FNCODE_CSSM_DL_DbClose                                       (FWK_BASE_CODE +  70)
#define FNCODE_CSSM_DL_DbCreate                                      (FWK_BASE_CODE +  71)
#define FNCODE_CSSM_DL_DbDelete                                      (FWK_BASE_CODE +  72)
#define FNCODE_CSSM_DL_DbExport                                      (FWK_BASE_CODE +  73)
#define FNCODE_CSSM_DL_DbGetInfo                                     (FWK_BASE_CODE +  74)
#define FNCODE_CSSM_DL_DbGetRecordParsingFunctions                   (FWK_BASE_CODE +  75)
#define FNCODE_CSSM_DL_DbImport                                      (FWK_BASE_CODE +  76)
#define FNCODE_CSSM_DL_DbOpen                                        (FWK_BASE_CODE +  77)
#define FNCODE_CSSM_DL_DbSetInfo                                     (FWK_BASE_CODE +  78)
#define FNCODE_CSSM_DL_DbSetRecordParsingFunctions                   (FWK_BASE_CODE +  79)
#define FNCODE_CSSM_DL_FreeUniqueRecord                              (FWK_BASE_CODE +  80)
#define FNCODE_CSSM_DL_GetDbNameFromHandle                           (FWK_BASE_CODE +  81)
#define FNCODE_CSSM_DL_PassThrough                                   (FWK_BASE_CODE +  82)
#define FNCODE_CSSM_DecryptData                                      (FWK_BASE_CODE +  83)
#define FNCODE_CSSM_DecryptDataFinal                                 (FWK_BASE_CODE +  84)
#define FNCODE_CSSM_DecryptDataInit                                  (FWK_BASE_CODE +  85)
#define FNCODE_CSSM_DecryptDataUpdate                                (FWK_BASE_CODE +  86)
#define FNCODE_CSSM_DeleteContext                                    (FWK_BASE_CODE +  87)
#define FNCODE_CSSM_DeleteContextAttributes                          (FWK_BASE_CODE +  88)
#define FNCODE_CSSM_DeregisterServices                               (FWK_BASE_CODE +  89)
#define FNCODE_CSSM_DeriveKey                                        (FWK_BASE_CODE +  90)
#define FNCODE_CSSM_DestroyError                                     (FWK_BASE_CODE +  91)
#define FNCODE_CSSM_DigestData                                       (FWK_BASE_CODE +  92)
#define FNCODE_CSSM_DigestDataClone                                  (FWK_BASE_CODE +  93)
#define FNCODE_CSSM_DigestDataFinal                                  (FWK_BASE_CODE +  94)
#define FNCODE_CSSM_DigestDataInit                                   (FWK_BASE_CODE +  95)
#define FNCODE_CSSM_DigestDataUpdate                                 (FWK_BASE_CODE +  96)
#define FNCODE_CSSM_EncryptData                                      (FWK_BASE_CODE +  97)
#define FNCODE_CSSM_EncryptDataFinal                                 (FWK_BASE_CODE +  98)
#define FNCODE_CSSM_EncryptDataInit                                  (FWK_BASE_CODE +  99)
#define FNCODE_CSSM_EncryptDataUpdate                                (FWK_BASE_CODE + 100)
#define FNCODE_CSSM_Free                                             (FWK_BASE_CODE + 101)
#define FNCODE_CSSM_FreeContext                                      (FWK_BASE_CODE + 102)
#define FNCODE_CSSM_FreeInfo                                         (FWK_BASE_CODE + 103)
#define FNCODE_CSSM_FreeList                                         (FWK_BASE_CODE + 104)
#define FNCODE_CSSM_FreeModuleInfo                                   (FWK_BASE_CODE + 105)
#define FNCODE_CSSM_GenerateAlgorithmParams                          (FWK_BASE_CODE + 106)
#define FNCODE_CSSM_GenerateKey                                      (FWK_BASE_CODE + 107)
#define FNCODE_CSSM_GenerateKeyPair                                  (FWK_BASE_CODE + 108)
#define FNCODE_CSSM_GenerateMac                                      (FWK_BASE_CODE + 109)
#define FNCODE_CSSM_GenerateMacFinal                                 (FWK_BASE_CODE + 110)
#define FNCODE_CSSM_GenerateMacInit                                  (FWK_BASE_CODE + 111)
#define FNCODE_CSSM_GenerateMacUpdate                                (FWK_BASE_CODE + 112)
#define FNCODE_CSSM_GenerateRandom                                   (FWK_BASE_CODE + 113)
#define FNCODE_CSSM_GetAPIMemoryFunctions                            (FWK_BASE_CODE + 114)
#define FNCODE_CSSM_GetCSSMRegistryPath                              (FWK_BASE_CODE + 115)
#define FNCODE_CSSM_GetContext                                       (FWK_BASE_CODE + 116)
#define FNCODE_CSSM_GetContextAttribute                              (FWK_BASE_CODE + 117)
#define FNCODE_CSSM_GetError                                         (FWK_BASE_CODE + 118)
#define FNCODE_CSSM_GetGUIDUsage                                     (FWK_BASE_CODE + 119)
#define FNCODE_CSSM_GetHandleInfo                                    (FWK_BASE_CODE + 120)
#define FNCODE_CSSM_GetHandleUsage                                   (FWK_BASE_CODE + 121)
#define FNCODE_CSSM_GetInfo                                          (FWK_BASE_CODE + 122)
#define FNCODE_CSSM_GetModuleGUIDFromHandle                          (FWK_BASE_CODE + 123)
#define FNCODE_CSSM_GetModuleInfo                                    (FWK_BASE_CODE + 124)
#define FNCODE_CSSM_GetModuleLocation                                (FWK_BASE_CODE + 125)
#define FNCODE_CSSM_Init                                             (FWK_BASE_CODE + 126)
#define FNCODE_CSSM_InitError                                        (FWK_BASE_CODE + 127)
#define FNCODE_CSSM_KR_CreateRecoveryEnablementContext               (FWK_BASE_CODE + 128)
#define FNCODE_CSSM_KR_CreateRecoveryRegistrationContext             (FWK_BASE_CODE + 129)
#define FNCODE_CSSM_KR_CreateRecoveryRequestContext                  (FWK_BASE_CODE + 130)
#define FNCODE_CSSM_KR_FreeKRProfile                                 (FWK_BASE_CODE + 131)
#define FNCODE_CSSM_KR_GenerateRecoveryFields                        (FWK_BASE_CODE + 132)
#define FNCODE_CSSM_KR_GetPolicyInfo                                 (FWK_BASE_CODE + 133)
#define FNCODE_CSSM_KR_GetRecoveredObject                            (FWK_BASE_CODE + 134)
#define FNCODE_CSSM_KR_ProcessRecoveryFields                         (FWK_BASE_CODE + 135)
#define FNCODE_CSSM_KR_RecoveryRequest                               (FWK_BASE_CODE + 136)
#define FNCODE_CSSM_KR_RecoveryRequestAbort                          (FWK_BASE_CODE + 137)
#define FNCODE_CSSM_KR_RecoveryRetrieve                              (FWK_BASE_CODE + 138)
#define FNCODE_CSSM_KR_RegistrationRequest                           (FWK_BASE_CODE + 139)
#define FNCODE_CSSM_KR_RegistrationRetrieve                          (FWK_BASE_CODE + 140)
#define FNCODE_CSSM_KR_SetEnterpriseRecoveryPolicy                   (FWK_BASE_CODE + 141)
#define FNCODE_CSSM_ListModules                                      (FWK_BASE_CODE + 142)
#define FNCODE_CSSM_ModuleAttach                                     (FWK_BASE_CODE + 143)
#define FNCODE_CSSM_ModuleDetach                                     (FWK_BASE_CODE + 144)
#define FNCODE_CSSM_ModuleInstall                                    (FWK_BASE_CODE + 145)
#define FNCODE_CSSM_ModuleUninstall                                  (FWK_BASE_CODE + 146)
#define FNCODE_CSSM_QueryKeySizeInBits                               (FWK_BASE_CODE + 147)
#define FNCODE_CSSM_QuerySize                                        (FWK_BASE_CODE + 148)
#define FNCODE_CSSM_RETURN                                           (FWK_BASE_CODE + 149)
#define FNCODE_CSSM_RegisterServices                                 (FWK_BASE_CODE + 150)
#define FNCODE_CSSM_SetContext                                       (FWK_BASE_CODE + 151)
#define FNCODE_CSSM_SetError                                         (FWK_BASE_CODE + 152)
#define FNCODE_CSSM_SetModuleInfo                                    (FWK_BASE_CODE + 153)
#define FNCODE_CSSM_SignData                                         (FWK_BASE_CODE + 154)
#define FNCODE_CSSM_SignDataFinal                                    (FWK_BASE_CODE + 155)
#define FNCODE_CSSM_SignDataInit                                     (FWK_BASE_CODE + 156)
#define FNCODE_CSSM_SignDataUpdate                                   (FWK_BASE_CODE + 157)
#define FNCODE_CSSM_TP_ApplyCrlToDb                                  (FWK_BASE_CODE + 158)
#define FNCODE_CSSM_TP_CertGroupConstruct                            (FWK_BASE_CODE + 159)
#define FNCODE_CSSM_TP_CertGroupPrune                                (FWK_BASE_CODE + 160)
#define FNCODE_CSSM_TP_CertGroupVerify                               (FWK_BASE_CODE + 161)
#define FNCODE_CSSM_TP_CertRevoke                                    (FWK_BASE_CODE + 162)
#define FNCODE_CSSM_TP_CertSign                                      (FWK_BASE_CODE + 163)
#define FNCODE_CSSM_TP_CertVerify                                    (FWK_BASE_CODE + 164)
#define FNCODE_CSSM_TP_CrlSign                                       (FWK_BASE_CODE + 165)
#define FNCODE_CSSM_TP_CrlVerify                                     (FWK_BASE_CODE + 166)
#define FNCODE_CSSM_TP_PassThrough                                   (FWK_BASE_CODE + 167)
#define FNCODE_CSSM_UnwrapKey                                        (FWK_BASE_CODE + 168)
#define FNCODE_CSSM_UpdateContextAttributes                          (FWK_BASE_CODE + 169)
#define FNCODE_CSSM_VerifyComponents                                 (FWK_BASE_CODE + 170)
#define FNCODE_CSSM_VerifyData                                       (FWK_BASE_CODE + 171)
#define FNCODE_CSSM_VerifyDataFinal                                  (FWK_BASE_CODE + 172)
#define FNCODE_CSSM_VerifyDataInit                                   (FWK_BASE_CODE + 173)
#define FNCODE_CSSM_VerifyDataUpdate                                 (FWK_BASE_CODE + 174)
#define FNCODE_CSSM_VerifyMac                                        (FWK_BASE_CODE + 175)
#define FNCODE_CSSM_VerifyMacFinal                                   (FWK_BASE_CODE + 176)
#define FNCODE_CSSM_VerifyMacInit                                    (FWK_BASE_CODE + 177)
#define FNCODE_CSSM_VerifyMacUpdate                                  (FWK_BASE_CODE + 178)
#define FNCODE_CSSM_WrapKey                                          (FWK_BASE_CODE + 179)
#define FNCODE_CompareName                                           (FWK_BASE_CODE + 180)
#define FNCODE_CountItemsInList                                      (FWK_BASE_CODE + 181)
#define FNCODE_DER_AllocateNode                                      (FWK_BASE_CODE + 182)
#define FNCODE_DER_ConstructItem                                     (FWK_BASE_CODE + 183)
#define FNCODE_DER_CopyTree                                          (FWK_BASE_CODE + 184)
#define FNCODE_DER_Encode                                            (FWK_BASE_CODE + 185)
#define FNCODE_DER_EncodeBitString                                   (FWK_BASE_CODE + 186)
#define FNCODE_DER_EncodeOid                                         (FWK_BASE_CODE + 187)
#define FNCODE_DER_EqualNodes                                        (FWK_BASE_CODE + 188)
#define FNCODE_DER_PrintTree                                         (FWK_BASE_CODE + 189)
#define FNCODE_DER_RecycleTree                                       (FWK_BASE_CODE + 190)
#define FNCODE_DER_SizeofTree                                        (FWK_BASE_CODE + 191)
#define FNCODE_DER_UnlongToDer                                       (FWK_BASE_CODE + 192)
#define FNCODE_DER_VeryUnLongToDer                                   (FWK_BASE_CODE + 193)
#define FNCODE_Digest_to_value                                       (FWK_BASE_CODE + 194)
#define FNCODE_DllMain                                               (FWK_BASE_CODE + 195)
#define FNCODE_FindIssuer                                            (FWK_BASE_CODE + 196)
#define FNCODE_GUIDcmp                                               (FWK_BASE_CODE + 197)
#define FNCODE_GetData                                               (FWK_BASE_CODE + 198)
#define FNCODE_GetDllInitCommon                                      (FWK_BASE_CODE + 199)
#define FNCODE_GetDllUpdateCommon                                    (FWK_BASE_CODE + 200)
#define FNCODE_GetEnvironmentVariable                                (FWK_BASE_CODE + 201)
#define FNCODE_GetHeader                                             (FWK_BASE_CODE + 202)
#define FNCODE_GetManSect                                            (FWK_BASE_CODE + 203)
#define FNCODE_GetManifestSection                                    (FWK_BASE_CODE + 204)
#define FNCODE_GetModuleName                                         (FWK_BASE_CODE + 205)
#define FNCODE_GetName                                               (FWK_BASE_CODE + 206)
#define FNCODE_GetRoot                                               (FWK_BASE_CODE + 207)
#define FNCODE_GetSectionPtr                                         (FWK_BASE_CODE + 208)
#define FNCODE_GetSigSection                                         (FWK_BASE_CODE + 209)
#define FNCODE_Hash_insert                                           (FWK_BASE_CODE + 210)
#define FNCODE_Hash_lookup                                           (FWK_BASE_CODE + 211)
#define FNCODE_Hash_remove                                           (FWK_BASE_CODE + 212)
#define FNCODE_Hash_table_clean                                      (FWK_BASE_CODE + 213)
#define FNCODE_Hash_table_init                                       (FWK_BASE_CODE + 214)
#define FNCODE_ICL_Add                                               (FWK_BASE_CODE + 215)
#define FNCODE_ICL_ByteCount                                         (FWK_BASE_CODE + 216)
#define FNCODE_ICL_Compare                                           (FWK_BASE_CODE + 217)
#define FNCODE_ICL_DSSVerify                                         (FWK_BASE_CODE + 218)
#define FNCODE_ICL_Div                                               (FWK_BASE_CODE + 219)
#define FNCODE_ICL_EEA                                               (FWK_BASE_CODE + 220)
#define FNCODE_ICL_ModExp                                            (FWK_BASE_CODE + 221)
#define FNCODE_ICL_ModMul                                            (FWK_BASE_CODE + 222)
#define FNCODE_ICL_ModularInverse                                    (FWK_BASE_CODE + 223)
#define FNCODE_ICL_MoveByte                                          (FWK_BASE_CODE + 224)
#define FNCODE_ICL_MoveByte2Word                                     (FWK_BASE_CODE + 225)
#define FNCODE_ICL_MoveWord                                          (FWK_BASE_CODE + 226)
#define FNCODE_ICL_MoveWord2Byte                                     (FWK_BASE_CODE + 227)
#define FNCODE_ICL_Mul                                               (FWK_BASE_CODE + 228)
#define FNCODE_ICL_PadBytes0                                         (FWK_BASE_CODE + 229)
#define FNCODE_ICL_Padding0                                          (FWK_BASE_CODE + 230)
#define FNCODE_ICL_Rem                                               (FWK_BASE_CODE + 231)
#define FNCODE_ICL_SHABegin                                          (FWK_BASE_CODE + 232)
#define FNCODE_ICL_SHAEnd                                            (FWK_BASE_CODE + 233)
#define FNCODE_ICL_SHAProcess                                        (FWK_BASE_CODE + 234)
#define FNCODE_ICL_SHATransform                                      (FWK_BASE_CODE + 235)
#define FNCODE_ICL_Subtract                                          (FWK_BASE_CODE + 236)
#define FNCODE_ICL_memorycopy                                        (FWK_BASE_CODE + 237)
#define FNCODE_ICL_memoryset                                         (FWK_BASE_CODE + 238)
#define FNCODE_ISL_CheckAddressWithinModule                          (FWK_BASE_CODE + 239)
#define FNCODE_ISL_CopyCertificateChain                              (FWK_BASE_CODE + 240)
#define FNCODE_ISL_CreateCertificateAttributeEnumerator              (FWK_BASE_CODE + 241)
#define FNCODE_ISL_CreateCertificateChain                            (FWK_BASE_CODE + 242)
#define FNCODE_ISL_CreateManifestSectionAttributeEnumerator          (FWK_BASE_CODE + 243)
#define FNCODE_ISL_CreateManifestSectionEnumerator                   (FWK_BASE_CODE + 244)
#define FNCODE_ISL_CreateSignatureAttributeEnumerator                (FWK_BASE_CODE + 245)
#define FNCODE_ISL_CreateVerifiedSignatureRoot                       (FWK_BASE_CODE + 246)
#define FNCODE_ISL_CreateVerifiedSignatureRootWithCertificate        (FWK_BASE_CODE + 247)
#define FNCODE_ISL_FindCertificateAttribute                          (FWK_BASE_CODE + 248)
#define FNCODE_ISL_FindManifestSection                               (FWK_BASE_CODE + 249)
#define FNCODE_ISL_FindManifestSectionAttribute                      (FWK_BASE_CODE + 250)
#define FNCODE_ISL_FindRegistryAttribute                             (FWK_BASE_CODE + 251)
#define FNCODE_ISL_FindSignatureAttribute                            (FWK_BASE_CODE + 252)
#define FNCODE_ISL_GetCertificateChain                               (FWK_BASE_CODE + 253)
#define FNCODE_ISL_GetLibHandle                                      (FWK_BASE_CODE + 254)
#define FNCODE_ISL_GetManifestSignatureRoot                          (FWK_BASE_CODE + 255)
#define FNCODE_ISL_GetModuleManifestSection                          (FWK_BASE_CODE + 256)
#define FNCODE_ISL_GetNextCertificateAttribute                       (FWK_BASE_CODE + 257)
#define FNCODE_ISL_GetNextManifestSection                            (FWK_BASE_CODE + 258)
#define FNCODE_ISL_GetNextManifestSectionAttribute                   (FWK_BASE_CODE + 259)
#define FNCODE_ISL_GetNextSignatureAttribute                         (FWK_BASE_CODE + 260)
#define FNCODE_ISL_GetReturnAddress                                  (FWK_BASE_CODE + 261)
#define FNCODE_ISL_LocateLoadedModule                                (FWK_BASE_CODE + 262)
#define FNCODE_ISL_LocateModuleAndCredentials                        (FWK_BASE_CODE + 263)
#define FNCODE_ISL_LocateProcedureAddress                            (FWK_BASE_CODE + 264)
#define FNCODE_ISL_RecycleCertificateAttributeEnumerator             (FWK_BASE_CODE + 265)
#define FNCODE_ISL_RecycleManifestSectionAttributeEnumerator         (FWK_BASE_CODE + 266)
#define FNCODE_ISL_RecycleManifestSectionEnumerator                  (FWK_BASE_CODE + 267)
#define FNCODE_ISL_RecycleSignatureAttributeEnumerator               (FWK_BASE_CODE + 268)
#define FNCODE_ISL_RecycleVerifiedCertificateChain                   (FWK_BASE_CODE + 269)
#define FNCODE_ISL_RecycleVerifiedModuleCredentials                  (FWK_BASE_CODE + 270)
#define FNCODE_ISL_RecycleVerifiedSignatureRoot                      (FWK_BASE_CODE + 271)
#define FNCODE_ISL_RetrieveRootIssuerKey                             (FWK_BASE_CODE + 272)
#define FNCODE_ISL_RetrieveRootIssuerName                            (FWK_BASE_CODE + 273)
#define FNCODE_ISL_RetrieveSelfCheckCredentials                      (FWK_BASE_CODE + 274)
#define FNCODE_ISL_RetrieveSelfCheckKey                              (FWK_BASE_CODE + 275)
#define FNCODE_ISL_RetrieveSelfCheckSectionName                      (FWK_BASE_CODE + 276)
#define FNCODE_ISL_SelfCheck                                         (FWK_BASE_CODE + 277)
#define FNCODE_ISL_VerifyAndLoadModule                               (FWK_BASE_CODE + 278)
#define FNCODE_ISL_VerifyAndLoadModuleAndCredentials                 (FWK_BASE_CODE + 279)
#define FNCODE_ISL_VerifyData                                        (FWK_BASE_CODE + 280)
#define FNCODE_ISL_VerifyDataAndCredentials                          (FWK_BASE_CODE + 281)
#define FNCODE_ISL_VerifyLoadedModule                                (FWK_BASE_CODE + 282)
#define FNCODE_ISL_VerifyLoadedModuleAndCredentials                  (FWK_BASE_CODE + 283)
#define FNCODE_InitAlgList                                           (FWK_BASE_CODE + 284)
#define FNCODE_InitCertAttributeNames                                (FWK_BASE_CODE + 285)
#define FNCODE_InitializeArchiveContext                              (FWK_BASE_CODE + 286)
#define FNCODE_InitializeManifestSection                             (FWK_BASE_CODE + 287)
#define FNCODE_InitializeSigRoot                                     (FWK_BASE_CODE + 288)
#define FNCODE_InitializeSigSection                                  (FWK_BASE_CODE + 289)
#define FNCODE_IslUtil_Base64Decode                                  (FWK_BASE_CODE + 290)
#define FNCODE_IslUtil_Base64Encode                                  (FWK_BASE_CODE + 291)
#define FNCODE_IslUtil_FreeData                                      (FWK_BASE_CODE + 292)
#define FNCODE_LoadCredentials                                       (FWK_BASE_CODE + 293)
#define FNCODE_LookupMultiContext                                    (FWK_BASE_CODE + 294)
#define FNCODE_MatchSHADigest                                        (FWK_BASE_CODE + 295)
#define FNCODE_MemNewline                                            (FWK_BASE_CODE + 296)
#define FNCODE_MontProduct                                           (FWK_BASE_CODE + 297)
#define FNCODE_MontSquare                                            (FWK_BASE_CODE + 298)
#define FNCODE_N0Prime                                               (FWK_BASE_CODE + 299)
#define FNCODE_ParseToNewline                                        (FWK_BASE_CODE + 300)
#define FNCODE_PatchRelocatedPage                                    (FWK_BASE_CODE + 301)
#define FNCODE_PrintSHA                                              (FWK_BASE_CODE + 302)
#define FNCODE_Print_hash_table                                      (FWK_BASE_CODE + 303)
#define FNCODE_RSA_Rem                                               (FWK_BASE_CODE + 304)
#define FNCODE_ReadCredentialsFromFile                               (FWK_BASE_CODE + 305)
#define FNCODE_RegWipeKey                                            (FWK_BASE_CODE + 306)
#define FNCODE_RelocationSection                                     (FWK_BASE_CODE + 307)
#define FNCODE_Resize_hash_table                                     (FWK_BASE_CODE + 308)
#define FNCODE_Verify                                                (FWK_BASE_CODE + 309)
#define FNCODE_VerifyManSect                                         (FWK_BASE_CODE + 310)
#define FNCODE_VerifyModule                                          (FWK_BASE_CODE + 311)
#define FNCODE_VerifyModuleCommon                                    (FWK_BASE_CODE + 312)
#define FNCODE_VerifyRootCert                                        (FWK_BASE_CODE + 313)
#define FNCODE_VerifySignature                                       (FWK_BASE_CODE + 314)
#define FNCODE_VerifySignatureRoot                                   (FWK_BASE_CODE + 315)
#define FNCODE_VerifySignatureRootWithCert                           (FWK_BASE_CODE + 316)
#define FNCODE__filelength                                           (FWK_BASE_CODE + 317)
#define FNCODE__fini                                                 (FWK_BASE_CODE + 318)
#define FNCODE__init                                                 (FWK_BASE_CODE + 319)
#define FNCODE_cssm_AddAttribute                                     (FWK_BASE_CODE + 320)
#define FNCODE_cssm_AddInDetach                                      (FWK_BASE_CODE + 321)
#define FNCODE_cssm_AssignContext                                    (FWK_BASE_CODE + 322)
#define FNCODE_cssm_BuildCapabilitiesStruct                          (FWK_BASE_CODE + 323)
#define FNCODE_cssm_CheckAPIMemFuncs                                 (FWK_BASE_CODE + 324)
#define FNCODE_cssm_CheckContextWithManifestAttributes               (FWK_BASE_CODE + 325)
#define FNCODE_cssm_CheckCopy                                        (FWK_BASE_CODE + 326)
#define FNCODE_cssm_CheckInit                                        (FWK_BASE_CODE + 327)
#define FNCODE_cssm_CheckMultipleEncryptionAttempt                   (FWK_BASE_CODE + 328)
#define FNCODE_cssm_CheckThreadSafe                                  (FWK_BASE_CODE + 329)
#define FNCODE_cssm_ClassToKey                                       (FWK_BASE_CODE + 330)
#define FNCODE_cssm_CleanUp                                          (FWK_BASE_CODE + 331)
#define FNCODE_cssm_CloseMemoryFile                                  (FWK_BASE_CODE + 332)
#define FNCODE_cssm_CloseMutex                                       (FWK_BASE_CODE + 333)
#define FNCODE_cssm_CopyCertChainList                                (FWK_BASE_CODE + 334)
#define FNCODE_cssm_CopyCryptoDataStruct                             (FWK_BASE_CODE + 335)
#define FNCODE_cssm_CopyDataStruct                                   (FWK_BASE_CODE + 336)
#define FNCODE_cssm_CopyDateStruct                                   (FWK_BASE_CODE + 337)
#define FNCODE_cssm_CopyKRProfileDataStruct                          (FWK_BASE_CODE + 338)
#define FNCODE_cssm_CopyKeyStruct                                    (FWK_BASE_CODE + 339)
#define FNCODE_cssm_CopyRangeStruct                                  (FWK_BASE_CODE + 340)
#define FNCODE_cssm_CreateAttribute                                  (FWK_BASE_CODE + 341)
#define FNCODE_cssm_CreateContext                                    (FWK_BASE_CODE + 342)
#define FNCODE_cssm_CreateMemoryFile                                 (FWK_BASE_CODE + 343)
#define FNCODE_cssm_CreateMutex                                      (FWK_BASE_CODE + 344)
#define FNCODE_cssm_DaysExpire                                       (FWK_BASE_CODE + 345)
#define FNCODE_cssm_DelContextAttr                                   (FWK_BASE_CODE + 346)
#define FNCODE_cssm_DeleteModuleRecord                               (FWK_BASE_CODE + 347)
#define FNCODE_cssm_DeleteSection                                    (FWK_BASE_CODE + 348)
#define FNCODE_cssm_DigestData                                       (FWK_BASE_CODE + 349)
#define FNCODE_cssm_DuplicateAttributes                              (FWK_BASE_CODE + 350)
#define FNCODE_cssm_DuplicateContext                                 (FWK_BASE_CODE + 351)
#define FNCODE_cssm_EndCheckMultiEncrypt                             (FWK_BASE_CODE + 352)
#define FNCODE_cssm_Expire                                           (FWK_BASE_CODE + 353)
#define FNCODE_cssm_FindCSPHandle                                    (FWK_BASE_CODE + 354)
#define FNCODE_cssm_FindMemory                                       (FWK_BASE_CODE + 355)
#define FNCODE_cssm_FlushMemoryFile                                  (FWK_BASE_CODE + 356)
#define FNCODE_cssm_FreeAttributes                                   (FWK_BASE_CODE + 357)
#define FNCODE_cssm_FreeCLSubService                                 (FWK_BASE_CODE + 358)
#define FNCODE_cssm_FreeCLWrapped                                    (FWK_BASE_CODE + 359)
#define FNCODE_cssm_FreeCSPSubService                                (FWK_BASE_CODE + 360)
#define FNCODE_cssm_FreeCSPWrapped                                   (FWK_BASE_CODE + 361)
#define FNCODE_cssm_FreeCertChain                                    (FWK_BASE_CODE + 362)
#define FNCODE_cssm_FreeCertChainList                                (FWK_BASE_CODE + 363)
#define FNCODE_cssm_FreeContext                                      (FWK_BASE_CODE + 364)
#define FNCODE_cssm_FreeDLSubService                                 (FWK_BASE_CODE + 365)
#define FNCODE_cssm_FreeData                                         (FWK_BASE_CODE + 366)
#define FNCODE_cssm_FreeDbAttributeInfo                              (FWK_BASE_CODE + 367)
#define FNCODE_cssm_FreeDbInfo                                       (FWK_BASE_CODE + 368)
#define FNCODE_cssm_FreeHardwareInfo                                 (FWK_BASE_CODE + 369)
#define FNCODE_cssm_FreeIntContext                                   (FWK_BASE_CODE + 370)
#define FNCODE_cssm_FreeKRName                                       (FWK_BASE_CODE + 371)
#define FNCODE_cssm_FreeKRProfile                                    (FWK_BASE_CODE + 372)
#define FNCODE_cssm_FreeKRSPInfo                                     (FWK_BASE_CODE + 373)
#define FNCODE_cssm_FreeKRSPSubService                               (FWK_BASE_CODE + 374)
#define FNCODE_cssm_FreeLibrary                                      (FWK_BASE_CODE + 375)
#define FNCODE_cssm_FreeModule                                       (FWK_BASE_CODE + 376)
#define FNCODE_cssm_FreeSWInfo                                       (FWK_BASE_CODE + 377)
#define FNCODE_cssm_FreeString                                       (FWK_BASE_CODE + 378)
#define FNCODE_cssm_FreeTPSubService                                 (FWK_BASE_CODE + 379)
#define FNCODE_cssm_GUIDToStr                                        (FWK_BASE_CODE + 380)
#define FNCODE_cssm_GenSectionMap                                    (FWK_BASE_CODE + 381)
#define FNCODE_cssm_GenerateCredentialPathAndSection                 (FWK_BASE_CODE + 382)
#define FNCODE_cssm_GetAddInCallBackByHandle                         (FWK_BASE_CODE + 383)
#define FNCODE_cssm_GetAlgCount                                      (FWK_BASE_CODE + 384)
#define FNCODE_cssm_GetAttributeFromContext                          (FWK_BASE_CODE + 385)
#define FNCODE_cssm_GetCSPContext                                    (FWK_BASE_CODE + 386)
#define FNCODE_cssm_GetContextFromManifestAttrib                     (FWK_BASE_CODE + 387)
#define FNCODE_cssm_GetGUIDFromHandle                                (FWK_BASE_CODE + 388)
#define FNCODE_cssm_GetHandleInfo                                    (FWK_BASE_CODE + 389)
#define FNCODE_cssm_GetIdentificationInfo                            (FWK_BASE_CODE + 390)
#define FNCODE_cssm_GetLength                                        (FWK_BASE_CODE + 391)
#define FNCODE_cssm_GetMemory                                        (FWK_BASE_CODE + 392)
#define FNCODE_cssm_GetModuleByHandle                                (FWK_BASE_CODE + 393)
#define FNCODE_cssm_GetModuleCallBackByHandle                        (FWK_BASE_CODE + 394)
#define FNCODE_cssm_GetModuleFileName                                (FWK_BASE_CODE + 395)
#define FNCODE_cssm_GetModuleHandle                                  (FWK_BASE_CODE + 396)
#define FNCODE_cssm_GetModuleRecordByGUID                            (FWK_BASE_CODE + 397)
#define FNCODE_cssm_GetMultitaskMutexHandle                          (FWK_BASE_CODE + 398)
#define FNCODE_cssm_GetProcAddress                                   (FWK_BASE_CODE + 399)
#define FNCODE_cssm_GetSectionCount                                  (FWK_BASE_CODE + 400)
#define FNCODE_cssm_GetSectionList                                   (FWK_BASE_CODE + 401)
#define FNCODE_cssm_GetSelfCheckKeyBlock                             (FWK_BASE_CODE + 402)
#define FNCODE_cssm_GetTime                                          (FWK_BASE_CODE + 403)
#define FNCODE_cssm_GetUsageMask                                     (FWK_BASE_CODE + 404)
#define FNCODE_cssm_GetUserName                                      (FWK_BASE_CODE + 405)
#define FNCODE_cssm_GetValue                                         (FWK_BASE_CODE + 406)
#define FNCODE_cssm_GetValueCount                                    (FWK_BASE_CODE + 407)
#define FNCODE_cssm_GetValueList                                     (FWK_BASE_CODE + 408)
#define FNCODE_cssm_HasIntAttrValueInContext                         (FWK_BASE_CODE + 409)
#define FNCODE_cssm_IncrementAddInAppMemory                          (FWK_BASE_CODE + 410)
#define FNCODE_cssm_IncrementAlgCount                                (FWK_BASE_CODE + 411)
#define FNCODE_cssm_InitCheckMultiEncrypt                            (FWK_BASE_CODE + 412)
#define FNCODE_cssm_InsertContext                                    (FWK_BASE_CODE + 413)
#define FNCODE_cssm_IsAdminUser                                      (FWK_BASE_CODE + 414)
#define FNCODE_cssm_IsBadCodePtr                                     (FWK_BASE_CODE + 415)
#define FNCODE_cssm_IsBadCryptoDataPtr                               (FWK_BASE_CODE + 416)
#define FNCODE_cssm_IsBadCryptoKeyPtr                                (FWK_BASE_CODE + 417)
#define FNCODE_cssm_IsBadReadPtr                                     (FWK_BASE_CODE + 418)
#define FNCODE_cssm_IsBadStrPtr                                      (FWK_BASE_CODE + 419)
#define FNCODE_cssm_IsBadWritePtr                                    (FWK_BASE_CODE + 420)
#define FNCODE_cssm_IsValidCSP                                       (FWK_BASE_CODE + 421)
#define FNCODE_cssm_KR_ApplyENTPolicy                                (FWK_BASE_CODE + 422)
#define FNCODE_cssm_KR_ApplyLEPolicy                                 (FWK_BASE_CODE + 423)
#define FNCODE_cssm_KR_ApplyPolicy                                   (FWK_BASE_CODE + 424)
#define FNCODE_cssm_KR_GetEnterpriseKRPolicySecret                   (FWK_BASE_CODE + 425)
#define FNCODE_cssm_KR_IsCryptoPermitted                             (FWK_BASE_CODE + 426)
#define FNCODE_cssm_KR_PolicyDelete                                  (FWK_BASE_CODE + 427)
#define FNCODE_cssm_KR_PolicyInit                                    (FWK_BASE_CODE + 428)
#define FNCODE_cssm_KR_Policy_Add                                    (FWK_BASE_CODE + 429)
#define FNCODE_cssm_KR_Policy_Item_Fill                              (FWK_BASE_CODE + 430)
#define FNCODE_cssm_KR_Policy_Lookup                                 (FWK_BASE_CODE + 431)
#define FNCODE_cssm_KR_Policy_Lookup_Specific                        (FWK_BASE_CODE + 432)
#define FNCODE_cssm_KR_RegReadEnterpriseRecoveryPolicy               (FWK_BASE_CODE + 433)
#define FNCODE_cssm_KR_RegWriteEnterpriseRecoveryPolicy              (FWK_BASE_CODE + 434)
#define FNCODE_cssm_KR_SetContextPriv                                (FWK_BASE_CODE + 435)
#define FNCODE_cssm_KeyToClassMask                                   (FWK_BASE_CODE + 436)
#define FNCODE_cssm_LoadLibrary                                      (FWK_BASE_CODE + 437)
#define FNCODE_cssm_LockMutex                                        (FWK_BASE_CODE + 438)
#define FNCODE_cssm_MapMemoryFile                                    (FWK_BASE_CODE + 439)
#define FNCODE_cssm_ModuleAttach                                     (FWK_BASE_CODE + 440)
#define FNCODE_cssm_ModuleInstall                                    (FWK_BASE_CODE + 441)
#define FNCODE_cssm_ModuleUninstall                                  (FWK_BASE_CODE + 442)
#define FNCODE_cssm_NewModuleRecord                                  (FWK_BASE_CODE + 443)
#define FNCODE_cssm_OpenMemoryFile                                   (FWK_BASE_CODE + 444)
#define FNCODE_cssm_Rand                                             (FWK_BASE_CODE + 445)
#define FNCODE_cssm_ReadCSPWrapped                                   (FWK_BASE_CODE + 446)
#define FNCODE_cssm_ReadField                                        (FWK_BASE_CODE + 447)
#define FNCODE_cssm_ReadManifest                                     (FWK_BASE_CODE + 448)
#define FNCODE_cssm_RegAddinIsDynamic                                (FWK_BASE_CODE + 449)
#define FNCODE_cssm_RegCountCSPAlgorithms                            (FWK_BASE_CODE + 450)
#define FNCODE_cssm_RegFindServiceNum                                (FWK_BASE_CODE + 451)
#define FNCODE_cssm_RegFindSubServiceNum                             (FWK_BASE_CODE + 452)
#define FNCODE_cssm_RegGetLocation                                   (FWK_BASE_CODE + 453)
#define FNCODE_cssm_RegReadAllContext                                (FWK_BASE_CODE + 454)
#define FNCODE_cssm_RegReadBinary                                    (FWK_BASE_CODE + 455)
#define FNCODE_cssm_RegReadCLSubService                              (FWK_BASE_CODE + 456)
#define FNCODE_cssm_RegReadCLWrapped                                 (FWK_BASE_CODE + 457)
#define FNCODE_cssm_RegReadCSPCapList                                (FWK_BASE_CODE + 458)
#define FNCODE_cssm_RegReadCSPHardwareService                        (FWK_BASE_CODE + 459)
#define FNCODE_cssm_RegReadCSPList                                   (FWK_BASE_CODE + 460)
#define FNCODE_cssm_RegReadCSPSWService                              (FWK_BASE_CODE + 461)
#define FNCODE_cssm_RegReadCSPServiceClasses                         (FWK_BASE_CODE + 462)
#define FNCODE_cssm_RegReadCSPSubService                             (FWK_BASE_CODE + 463)
#define FNCODE_cssm_RegReadCSSMInfo                                  (FWK_BASE_CODE + 464)
#define FNCODE_cssm_RegReadCSSMString                                (FWK_BASE_CODE + 465)
#define FNCODE_cssm_RegReadCommonInfo                                (FWK_BASE_CODE + 466)
#define FNCODE_cssm_RegReadContext                                   (FWK_BASE_CODE + 467)
#define FNCODE_cssm_RegReadContextAttrib                             (FWK_BASE_CODE + 468)
#define FNCODE_cssm_RegReadContextAttribKeyType                      (FWK_BASE_CODE + 469)
#define FNCODE_cssm_RegReadDLDBAttributeInfo                         (FWK_BASE_CODE + 470)
#define FNCODE_cssm_RegReadDLDBRecordAttribute                       (FWK_BASE_CODE + 471)
#define FNCODE_cssm_RegReadDLDBRecordIndex                           (FWK_BASE_CODE + 472)
#define FNCODE_cssm_RegReadDLDataStoreInfo                           (FWK_BASE_CODE + 473)
#define FNCODE_cssm_RegReadDLDataStoreName                           (FWK_BASE_CODE + 474)
#define FNCODE_cssm_RegReadDLSubService                              (FWK_BASE_CODE + 475)
#define FNCODE_cssm_RegReadDLWrapped                                 (FWK_BASE_CODE + 476)
#define FNCODE_cssm_RegReadDataStruct                                (FWK_BASE_CODE + 477)
#define FNCODE_cssm_RegReadKRSPInfo                                  (FWK_BASE_CODE + 478)
#define FNCODE_cssm_RegReadKRSPSubService                            (FWK_BASE_CODE + 479)
#define FNCODE_cssm_RegReadKRWrapped                                 (FWK_BASE_CODE + 480)
#define FNCODE_cssm_RegReadModuleInfo                                (FWK_BASE_CODE + 481)
#define FNCODE_cssm_RegReadModuleList                                (FWK_BASE_CODE + 482)
#define FNCODE_cssm_RegReadService                                   (FWK_BASE_CODE + 483)
#define FNCODE_cssm_RegReadString                                    (FWK_BASE_CODE + 484)
#define FNCODE_cssm_RegReadTPSubService                              (FWK_BASE_CODE + 485)
#define FNCODE_cssm_RegReadTPWrapped                                 (FWK_BASE_CODE + 486)
#define FNCODE_cssm_RegReadUTC                                       (FWK_BASE_CODE + 487)
#define FNCODE_cssm_RegReadUsage                                     (FWK_BASE_CODE + 488)
#define FNCODE_cssm_RegReadVersion                                   (FWK_BASE_CODE + 489)
#define FNCODE_cssm_RegRemoveModule                                  (FWK_BASE_CODE + 490)
#define FNCODE_cssm_RegWriteCLSubService                             (FWK_BASE_CODE + 491)
#define FNCODE_cssm_RegWriteCLWrapped                                (FWK_BASE_CODE + 492)
#define FNCODE_cssm_RegWriteCSPCapList                               (FWK_BASE_CODE + 493)
#define FNCODE_cssm_RegWriteCSPHardwareService                       (FWK_BASE_CODE + 494)
#define FNCODE_cssm_RegWriteCSPSWService                             (FWK_BASE_CODE + 495)
#define FNCODE_cssm_RegWriteCSPSubService                            (FWK_BASE_CODE + 496)
#define FNCODE_cssm_RegWriteCSPWrapped                               (FWK_BASE_CODE + 497)
#define FNCODE_cssm_RegWriteCSSMInfo                                 (FWK_BASE_CODE + 498)
#define FNCODE_cssm_RegWriteCSSMString                               (FWK_BASE_CODE + 499)
#define FNCODE_cssm_RegWriteCommonInfo                               (FWK_BASE_CODE + 500)
#define FNCODE_cssm_RegWriteContext                                  (FWK_BASE_CODE + 501)
#define FNCODE_cssm_RegWriteContextAttrib                            (FWK_BASE_CODE + 502)
#define FNCODE_cssm_RegWriteDLDBAttributeInfo                        (FWK_BASE_CODE + 503)
#define FNCODE_cssm_RegWriteDLDBRecordAttribute                      (FWK_BASE_CODE + 504)
#define FNCODE_cssm_RegWriteDLDBRecordIndex                          (FWK_BASE_CODE + 505)
#define FNCODE_cssm_RegWriteDLDataStoreInfo                          (FWK_BASE_CODE + 506)
#define FNCODE_cssm_RegWriteDLDataStoreName                          (FWK_BASE_CODE + 507)
#define FNCODE_cssm_RegWriteDLSubService                             (FWK_BASE_CODE + 508)
#define FNCODE_cssm_RegWriteDLWrapped                                (FWK_BASE_CODE + 509)
#define FNCODE_cssm_RegWriteDataStruct                               (FWK_BASE_CODE + 510)
#define FNCODE_cssm_RegWriteKRSPInfo                                 (FWK_BASE_CODE + 511)
#define FNCODE_cssm_RegWriteKRSPSubService                           (FWK_BASE_CODE + 512)
#define FNCODE_cssm_RegWriteKRWrapped                                (FWK_BASE_CODE + 513)
#define FNCODE_cssm_RegWriteModule                                   (FWK_BASE_CODE + 514)
#define FNCODE_cssm_RegWriteModuleInfo                               (FWK_BASE_CODE + 515)
#define FNCODE_cssm_RegWriteString                                   (FWK_BASE_CODE + 516)
#define FNCODE_cssm_RegWriteTPSubService                             (FWK_BASE_CODE + 517)
#define FNCODE_cssm_RegWriteTPWrapped                                (FWK_BASE_CODE + 518)
#define FNCODE_cssm_RegWriteVersion                                  (FWK_BASE_CODE + 519)
#define FNCODE_cssm_RemoveAddInRecord                                (FWK_BASE_CODE + 520)
#define FNCODE_cssm_RemoveMultiContext                               (FWK_BASE_CODE + 521)
#define FNCODE_cssm_SaveContextClone                                 (FWK_BASE_CODE + 522)
#define FNCODE_cssm_SetValue                                         (FWK_BASE_CODE + 523)
#define FNCODE_cssm_SpiCalloc                                        (FWK_BASE_CODE + 524)
#define FNCODE_cssm_SpiFree                                          (FWK_BASE_CODE + 525)
#define FNCODE_cssm_SpiMalloc                                        (FWK_BASE_CODE + 526)
#define FNCODE_cssm_SpiRealloc                                       (FWK_BASE_CODE + 527)
#define FNCODE_cssm_StrToGUID                                        (FWK_BASE_CODE + 528)
#define FNCODE_cssm_TrylockMutex                                     (FWK_BASE_CODE + 529)
#define FNCODE_cssm_UnlockMutex                                      (FWK_BASE_CODE + 530)
#define FNCODE_cssm_UnmapMemoryFile                                  (FWK_BASE_CODE + 531)
#define FNCODE_cssm_UpdateAttribute                                  (FWK_BASE_CODE + 532)
#define FNCODE_cssm_UpdateContext                                    (FWK_BASE_CODE + 533)
#define FNCODE_cssm_ValidateAttributeValue                           (FWK_BASE_CODE + 534)
#define FNCODE_cssm_ValidateContextValue                             (FWK_BASE_CODE + 535)
#define FNCODE_cssm_WriteBinary                                      (FWK_BASE_CODE + 536)
#define FNCODE_cssm_WriteFields                                      (FWK_BASE_CODE + 537)
#define FNCODE_cssm_WriteUTC                                         (FWK_BASE_CODE + 538)
#define FNCODE_cssm_calloc                                           (FWK_BASE_CODE + 539)
#define FNCODE_cssm_dynamic_getinfo                                  (FWK_BASE_CODE + 540)
#define FNCODE_cssm_fread                                            (FWK_BASE_CODE + 541)
#define FNCODE_cssm_free                                             (FWK_BASE_CODE + 542)
#define FNCODE_cssm_fwrite                                           (FWK_BASE_CODE + 543)
#define FNCODE_cssm_getcwd                                           (FWK_BASE_CODE + 544)
#define FNCODE_cssm_getenv                                           (FWK_BASE_CODE + 545)
#define FNCODE_cssm_malloc                                           (FWK_BASE_CODE + 546)
#define FNCODE_cssm_memcmp                                           (FWK_BASE_CODE + 547)
#define FNCODE_cssm_memcpy                                           (FWK_BASE_CODE + 548)
#define FNCODE_cssm_memmove                                          (FWK_BASE_CODE + 549)
#define FNCODE_cssm_memset                                           (FWK_BASE_CODE + 550)
#define FNCODE_cssm_port_init                                        (FWK_BASE_CODE + 551)
#define FNCODE_cssm_port_terminate                                   (FWK_BASE_CODE + 552)
#define FNCODE_cssm_realloc                                          (FWK_BASE_CODE + 553)
#define FNCODE_cssm_strlwr                                           (FWK_BASE_CODE + 554)
#define FNCODE_f1                                                    (FWK_BASE_CODE + 555)
#define FNCODE_f2                                                    (FWK_BASE_CODE + 556)
#define FNCODE_f3                                                    (FWK_BASE_CODE + 557)
#define FNCODE_identify                                              (FWK_BASE_CODE + 558)
#define FNCODE_isl_AddDigest                                         (FWK_BASE_CODE + 559)
#define FNCODE_isl_AllocateMemory                                    (FWK_BASE_CODE + 560)
#define FNCODE_isl_BuildArchive                                      (FWK_BASE_CODE + 561)
#define FNCODE_isl_BuildManSectAlgList                               (FWK_BASE_CODE + 562)
#define FNCODE_isl_BuildManifestSection                              (FWK_BASE_CODE + 563)
#define FNCODE_isl_BuildSigSectAlgList                               (FWK_BASE_CODE + 564)
#define FNCODE_isl_BuildSigSection                                   (FWK_BASE_CODE + 565)
#define FNCODE_isl_BuildSignatureContext                             (FWK_BASE_CODE + 566)
#define FNCODE_isl_BuildSignatureRoot                                (FWK_BASE_CODE + 567)
#define FNCODE_isl_BuildSigners                                      (FWK_BASE_CODE + 568)
#define FNCODE_isl_CopyMemory                                        (FWK_BASE_CODE + 569)
#define FNCODE_isl_CreateIterator                                    (FWK_BASE_CODE + 570)
#define FNCODE_isl_CreateVerifiedSignatureRootWithCert               (FWK_BASE_CODE + 571)
#define FNCODE_isl_FindSHA                                           (FWK_BASE_CODE + 572)
#define FNCODE_isl_FreeMemory                                        (FWK_BASE_CODE + 573)
#define FNCODE_isl_GetCerts                                          (FWK_BASE_CODE + 574)
#define FNCODE_isl_GetData                                           (FWK_BASE_CODE + 575)
#define FNCODE_isl_GetDataRecycle                                    (FWK_BASE_CODE + 576)
#define FNCODE_isl_GetDigest                                         (FWK_BASE_CODE + 577)
#define FNCODE_isl_GetDllInit                                        (FWK_BASE_CODE + 578)
#define FNCODE_isl_GetDllInitMemory                                  (FWK_BASE_CODE + 579)
#define FNCODE_isl_GetDllRecycle                                     (FWK_BASE_CODE + 580)
#define FNCODE_isl_GetDllRecycleMemory                               (FWK_BASE_CODE + 581)
#define FNCODE_isl_GetDllSizeofObject                                (FWK_BASE_CODE + 582)
#define FNCODE_isl_GetDllUpdate                                      (FWK_BASE_CODE + 583)
#define FNCODE_isl_GetDllUpdateMemory                                (FWK_BASE_CODE + 584)
#define FNCODE_isl_GetManifestHeader                                 (FWK_BASE_CODE + 585)
#define FNCODE_isl_GetNameValuePair                                  (FWK_BASE_CODE + 586)
#define FNCODE_isl_GetNextNode                                       (FWK_BASE_CODE + 587)
#define FNCODE_isl_GetSectionName                                    (FWK_BASE_CODE + 588)
#define FNCODE_isl_InitArchiveContextFromCredentials                 (FWK_BASE_CODE + 589)
#define FNCODE_isl_InitSigSectionList                                (FWK_BASE_CODE + 590)
#define FNCODE_isl_InitSignatureContext                              (FWK_BASE_CODE + 591)
#define FNCODE_isl_InitSignerContext                                 (FWK_BASE_CODE + 592)
#define FNCODE_isl_LoadImage                                         (FWK_BASE_CODE + 593)
#define FNCODE_isl_MatchDigest                                       (FWK_BASE_CODE + 594)
#define FNCODE_isl_ParseKey                                          (FWK_BASE_CODE + 595)
#define FNCODE_isl_ParseKeyAndValue                                  (FWK_BASE_CODE + 596)
#define FNCODE_isl_ParseKeyBlock                                     (FWK_BASE_CODE + 597)
#define FNCODE_isl_ParsePKCS7                                        (FWK_BASE_CODE + 598)
#define FNCODE_isl_ParseVersion                                      (FWK_BASE_CODE + 599)
#define FNCODE_isl_RecycleArchiveContext                             (FWK_BASE_CODE + 600)
#define FNCODE_isl_RecycleIterator                                   (FWK_BASE_CODE + 601)
#define FNCODE_isl_SetData                                           (FWK_BASE_CODE + 602)
#define FNCODE_isl_SetModulePath                                     (FWK_BASE_CODE + 603)
#define FNCODE_isl_SkipNewLine                                       (FWK_BASE_CODE + 604)
#define FNCODE_isl_VerifyData                                        (FWK_BASE_CODE + 605)
#define FNCODE_isl_VerifyModule                                      (FWK_BASE_CODE + 606)
#define FNCODE_isl_VerifyModulePath                                  (FWK_BASE_CODE + 607)
#define FNCODE_isl_X509Cert_CreateAttributeEnumerator                (FWK_BASE_CODE + 608)
#define FNCODE_isl_X509Cert_Flatten                                  (FWK_BASE_CODE + 609)
#define FNCODE_isl_X509Cert_GetAlgID                                 (FWK_BASE_CODE + 610)
#define FNCODE_isl_X509Cert_GetID                                    (FWK_BASE_CODE + 611)
#define FNCODE_isl_X509Cert_GetIssuer                                (FWK_BASE_CODE + 612)
#define FNCODE_isl_X509Cert_GetKey                                   (FWK_BASE_CODE + 613)
#define FNCODE_isl_X509Cert_GetNextAttribute                         (FWK_BASE_CODE + 614)
#define FNCODE_isl_X509Cert_GetSubject                               (FWK_BASE_CODE + 615)
#define FNCODE_isl_X509Cert_Initialize                               (FWK_BASE_CODE + 616)
#define FNCODE_isl_X509Cert_Recycle                                  (FWK_BASE_CODE + 617)
#define FNCODE_isl_X509Cert_RecycleAttributeEnumerator               (FWK_BASE_CODE + 618)
#define FNCODE_isl_X509Cert_SizeofObject                             (FWK_BASE_CODE + 619)
#define FNCODE_isl_X509Cert_Verify                                   (FWK_BASE_CODE + 620)
#define FNCODE_isl_getNTHeader                                       (FWK_BASE_CODE + 621)
#define FNCODE_islutilDecodeChar                                     (FWK_BASE_CODE + 622)
#define FNCODE_islutilEncodeValue                                    (FWK_BASE_CODE + 623)
#define FNCODE_islutil_EncodeGroup                                   (FWK_BASE_CODE + 624)
#define FNCODE_islutil_GetBits                                       (FWK_BASE_CODE + 625)
#define FNCODE_rotl                                                  (FWK_BASE_CODE + 626)


#define FILTER_FWK "fwk"
#define FWK_BASE_CODE 0

#define FILTER_ERROR "error"
#define ERROR_BASE_CODE 1000

#define FILTER_PORT "port"
#define PORT_BASE_CODE 2000

#define FILTER_BER_DER "ber_der"
#define BER_DER_BASE_CODE 3000

#define FILTER_EISL "eisl"
#define EISL_BASE_CODE 4000

#define FILTER_MENCRYPT "mencrypt"
#define MENCRYPT_BASE_CODE 5000

#define FILTER_ICL "icl"
#define ICL_BASE_CODE 6000

extern char		*function_names[];
extern uint32	BASE_CODE;

#endif
