/*-----------------------------------------------------------------------
 * File: ISLMETHS.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

/* Methods exproted from ISL library */

#ifndef _ISLMETHS_H
#define _ISLMETHS_H    

#ifdef WIN32
#define DllImport	__declspec( dllimport )
#else
#ifndef VMS
#define DllImport
#endif
#endif
#ifdef __cplusplus
extern "C" {
#endif
DllImport ISL_ARCHIVE_CONFIG_METHODS	ArchiveConfigMethods;
DllImport ISL_ARCHIVE_METHODS			ArchiveMethods;
DllImport ISL_MANIFEST_SECTION_METHODS	ManifestSectionMethods;
DllImport ISL_SIG_SECTION_METHODS		SignedListMethods;
DllImport ISL_DIGEST_METHODS			JarMD5Methods;
DllImport ISL_DIGEST_METHODS			JarMD2Methods;
DllImport ISL_DIGEST_METHODS			JarSHA1Methods;
DllImport ISL_GET_DATA_METHODS			FileGetDataMethods;
DllImport ISL_GET_DATA_METHODS			ExecutableFileGetDataMethods;
DllImport ISL_GET_DATA_METHODS			URLGetMethods;
DllImport ISL_SIGNATURE_CONFIG_METHODS	PKCS7SignatureConfigMethods;
DllImport ISL_DIGEST_METHODS			PKCS7MD5Methods;
DllImport ISL_DIGEST_METHODS			PKCS7SHA1Methods;
DllImport ISL_DIGEST_METHODS			PKCS7MD2Methods;
DllImport ISL_SIGNATURE_METHODS			PKCS7SignatureMethods;
DllImport ISL_SIGN_VERIFY_METHODS		PKCS1RSASHA1Methods;
DllImport ISL_SIGN_VERIFY_METHODS		PKCS1RSAMD5Methods;
DllImport ISL_SIGN_VERIFY_METHODS		PKCS1RSAMD2Methods;
DllImport ISL_SIGN_VERIFY_METHODS		DSAMethods;
DllImport ISL_SIGN_VERIFY_METHODS		PKCS7DSAMethods;
DllImport ISL_SIGN_VERIFY_METHODS		PKCS1RSAMethods;
DllImport ISL_CERTIFICATE_METHODS		X509CertMethods;
DllImport ISL_SIGNER_METHODS			PKCS7SignerMethods;
#ifdef __cplusplus
}
#endif

#endif
