/*-----------------------------------------------------------------------
 * File: LENTAG.C
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

#include "ber_der.h"

uint32 
BER_LengthOfTag(const uint8 *Tag)
{
    sint16 length;
    if (!Tag) return 0;
    length = 1;
    if ((*Tag & 31) == 31) {      /* long tag */
        for (Tag++; ; Tag++) {
            length++;
            if ((*Tag & 128) == 0) break;
        }
    }
    return length;
}
