/*-----------------------------------------------------------------------
 * File: CSP_UTIL.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

 
#ifndef _CSPUTIL_H
#define _CSPUTIL_H

CSSM_RETURN csp_GetEnvironmentRandom(uint8 *pRandomBuf, uint32 *pnRandomLen);
CSSM_RETURN csp_GenerateRandomBytes(uint32  numBytes, uint8*  buffer);
CSSM_RETURN csp_KeyHeader_Fill(CSSM_KEYHEADER_PTR pKeyHdr, uint32 nBlobType,
                              uint32 nFormat, uint32 nAlgorithmId, 
                              uint32 nKeyClass, uint32 nLogicalKeySizeInBits,
                              uint32 nKeyAttr, uint32 nKeyUsage, 
                              CSSM_DATE_PTR pStartDate, CSSM_DATE_PTR pEndDate,
                              uint32 nWrapAlgorithmId, uint32 nWrapMode, uint32 nReserved);

void CleanState(BSAFECSP_STATE_PTR pState);

#endif
