/*-----------------------------------------------------------------------
 * File: DUMMYSPI.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */


/* Portions:
 * (C) COPYRIGHT International Business Machines Corp. 1996, 1997
 * All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */ 

#ifndef _dummySPI_H
#define _dummySPI_H    

#include "cssmtype.h"

#define CSSM_EMM_BASE_ERROR         ( 20000UL )

#define DUMMY_EMM_CSSM_INTEGRITY_NOT_CHECKED (CSSM_EMM_BASE_ERROR + 1)
#define DUMMY_EMM_FUNCTION_NOT_IMPLEMENTED   (CSSM_EMM_BASE_ERROR + 2)
#ifdef __cplusplus
extern "C" {
#endif

typedef struct emm_spi_dummy_funcs {
    CSSM_RETURN (CSSMAPI *PassThrough) (CSSM_MODULE_HANDLE hAddIn, CSSM_SERVICE_MASK ServiceMask);
    CSSM_RETURN (CSSMAPI *PassThrough1) (CSSM_MODULE_HANDLE hAddIn, CSSM_SERVICE_MASK ServiceMask);
} EMM_SPI_DUMMY_FUNCS, *EMM_SPI_DUMMY_FUNCS_PTR;

                            
#ifdef __cplusplus
}
#endif


#endif
