/***************************************************************************/
/* lookup.h                                                                */
/*                                                                         */
/* Symbol definitions.  Originally generated automatically, by genlookup,  */
/* but now edited by hand to match with the cssmtype.h WORDID definitions. */
/***************************************************************************/

#if !defined(__LOOKUP_H__)
#define __LOOKUP_H__

#include "cssmtype.h"

#include "addlwords.h"

int lookup( uint8 *x, int xl ) ;	/* look up a reserved word */

#define O__STAR_ CSSM_WORDID__STAR_
#define O_A CSSM_WORDID_A
#define O_ACL CSSM_WORDID_ACL
#define O_ALPHA CSSM_WORDID_ALPHA
#define O_AND CSSM_WORDID_AND
#define O_B CSSM_WORDID_B
#define O_BINARY CSSM_WORDID_BINARY
#define O_C CSSM_WORDID_C
#define O_CANCELED CSSM_WORDID_CANCELED
#define O_CERT CSSM_WORDID_CERT
#define O_COMMENT CSSM_WORDID_COMMENT
#define O_CRL CSSM_WORDID_CRL
#define O_D CSSM_WORDID_D
#define O_DATE CSSM_WORDID_DATE
#define O_DELTA_CRL CSSM_WORDID_DELTA_CRL
#define O_DISPLAY CSSM_WORDID_DISPLAY
#define O_DO CSSM_WORDID_DO
#define O_DSA_SHA1 CSSM_WORDID_DSA_SHA1
#define O_E CSSM_WORDID_E
#define O_ENTRY CSSM_WORDID_ENTRY
#define O_G CSSM_WORDID_G
#define O_GE CSSM_WORDID_GE
#define O_HASH CSSM_WORDID_HASH
#define O_ISSUER CSSM_WORDID_ISSUER
#define O_ISSUER_INFO CSSM_WORDID_ISSUER_INFO
#define O_K_OF_N CSSM_WORDID_K_OF_N
#define O_KEYHOLDER CSSM_WORDID_KEYHOLDER
#define O_L CSSM_WORDID_L
#define O_LE CSSM_WORDID_LE
#define O_MD5 CSSM_WORDID_MD5
#define O_N CSSM_WORDID_N
#define O_NAME CSSM_WORDID_NAME
#define O_NOT_AFTER CSSM_WORDID_NOT_AFTER
#define O_NOT_BEFORE CSSM_WORDID_NOT_BEFORE
#define O_NULL CSSM_WORDID_NULL
#define O_NUMERIC CSSM_WORDID_NUMERIC
#define O_OBJECT_HASH CSSM_WORDID_OBJECT_HASH
#define O_ONE_TIME CSSM_WORDID_ONE_TIME
#define O_ONLINE CSSM_WORDID_ONLINE
#define O_P CSSM_WORDID_P
#define O_PREFIX CSSM_WORDID_PREFIX
#define O_PRIVATE_KEY CSSM_WORDID_PRIVATE_KEY
#define O_PROPAGATE CSSM_WORDID_PROPAGATE
#define O_PUBLIC_KEY CSSM_WORDID_PUBLIC_KEY
#define O_Q CSSM_WORDID_Q
#define O_RANGE CSSM_WORDID_RANGE
#define O_REVAL CSSM_WORDID_REVAL
#define O_RSA_PKCS1 CSSM_WORDID_RSA_PKCS1
#define O_RSA_PKCS1_MD5 CSSM_WORDID_RSA_PKCS1_MD5
#define O_RSA_PKCS1_SHA1 CSSM_WORDID_RSA_PKCS1_SHA1
#define O_RSA_PKCS1_SIG CSSM_WORDID_RSA_PKCS1_SIG
#define O_SEQUENCE CSSM_WORDID_SEQUENCE
#define O_SET CSSM_WORDID_SET
#define O_SHA1 CSSM_WORDID_SHA1
#define O_SIGNATURE CSSM_WORDID_SIGNATURE
#define O_SUBJECT CSSM_WORDID_SUBJECT
#define O_SUBJECT_INFO CSSM_WORDID_SUBJECT_INFO
#define O_TAG CSSM_WORDID_TAG
#define O_TIME CSSM_WORDID_TIME
#define O_URI CSSM_WORDID_URI
#define O_VALID CSSM_WORDID_VALID
#define O_VERSION CSSM_WORDID_VERSION

#endif /* __LOOKUP_H__ */
