/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log: guids.h,v $
 * Revision 1.1.2.6  2000/10/13  21:16:47  William_Priestley
 * Merge Information:  Non-Visual Merge: User specified default merge the submit tree cryptozuluos
 *     User Revision:  William_Priestley_cryptozuluosR3_br:1.1.4.3 Local Ancestor:1.1.2.3
 *    Merge Revision:  cryptozuluos_br:1.1.2.5
 *   Common Ancestor:  1.1.2.3
 * 	[2000/10/13  20:30:19  William_Priestley]
 *
 * Merge Information:  Non-Visual Merge: User specified default merge the submit tree cryptozuluos
 *     User Revision:  William_Priestley_cryptozuluosR3_br:1.1.4.2 Local Ancestor:1.1.2.2
 *    Merge Revision:  cryptozuluos_br:1.1.2.3
 *   Common Ancestor:  1.1.2.2
 * 	[2000/10/12  19:14:33  William_Priestley]
 *
 * Revision 1.1.2.5  2000/09/27  20:24:49  Thomas_Woodburn
 * 	Replaced Intel guids and strings with Compaq ones.
 * 
 * Revision 1.1.2.4  2000/09/11  14:51:55  Paul_Moore
 * Merge Information:  Non-Visual Merge: User specified default merge the submit tree cryptozuluos
 *     User Revision:  Paul_Moore_cryptozulu_br:1.1.3.2 Local Ancestor:1.1.2.1
 *    Merge Revision:  cryptozuluos_br:1.1.2.3
 *   Common Ancestor:  1.1.2.1
 * 
 * Revision 1.1.4.2  2000/09/01  14:47:15  William_Priestley
 * Merge Information:  Non-Visual Merge: User specified default merge the submit tree cryptozuluos
 *     User Revision:  William_Priestley_cryptozuluosR3_br:1.1.4.1 Local Ancestor:1.1.2.1
 *    Merge Revision:  cryptozuluos_br:1.1.2.2
 *   Common Ancestor:  1.1.2.1
 * 
 * Revision 1.1.2.3  2000/08/31  16:12:10  Thomas_Woodburn
 * 	Merged in Intel CDSA Version 2.0 Release 3.11.
 * 
 * Revision 1.1.4.1  2000/08/09  18:31:31  William_Priestley
 * 	Added error codes for ADDIN_CSM_PassThrough.
 * 
 * Revision 1.1.2.2  2000/08/07  15:07:36  Thomas_Woodburn
 * 	Merged in Intel CDSA Version 2.0 Release 3.1.
 * 
 * Revision 1.1.3.2  2000/07/20  18:50:30  Paul_Moore
 * 	removed "compaq_crypto_service" and renamed "compaq_crypto_subservice" per Tom's request
 * 
 * Revision 1.1.3.1  2000/07/13  17:45:15  Paul_Moore
 * 	added the "compaq_crypto_service" and "compaq_crypto_subservice" defines
 * 
 * Revision 1.1.2.1  2000/06/28  21:11:05  Thomas_Woodburn
 * 	Created for initial port to Tru64 UNIX.
 * 
 * 
 * $EndLog$
 * 
 */
/*
 * @(#)$RCSfile: guids.h,v $ $Revision: 1.1.2.6 $ (DEC) $Date: 2000/10/13 21:16:47 $
 */

#ifndef _COMPAQ_GUIDS_H_
#define _COMPAQ_GUIDS_H_

#define compaq_cssm_guid_init \
  {0xd6b5e820, 0xf376, 0x11d3, {0x9b, 0xea, 0x0, 0x8, 0xc7, 0x4f, 0xe1, 0x65}}

#define compaq_mds_guid_init \
  {0xd6b5e821, 0xf376, 0x11d3, {0x9b, 0xea, 0x0, 0x8, 0xc7, 0x4f, 0xe1, 0x65}}
#ifdef VMS
#define compaq_mds_guid_string \
   "d6b5e821-f376-11d3-9bea-0008c74fe165"
#else
#define compaq_mds_guid_string \
   "{d6b5e821-f376-11d3-9bea-0008c74fe165}"
#endif

#define compaq_crypto_guid_init \
  {0xd6b5e822, 0xf376, 0x11d3, {0x9b, 0xea, 0x0, 0x8, 0xc7, 0x4f, 0xe1, 0x65}}

#define COMPAQ_CRYPTO_OPERATION_FAILED          (CSSM_CSP_PRIVATE_ERROR + 1)
#define COMPAQ_CRYPTO_KEYCONVERSION_FAILED      (CSSM_CSP_PRIVATE_ERROR + 2)
#define COMPAQ_CRYPTO_UNSUPPORTED_ALG           (CSSM_CSP_PRIVATE_ERROR + 3)
#define COMPAQ_CRYPTO_UNSUPPORTED_ALG_MODE      (CSSM_CSP_PRIVATE_ERROR + 4)
#define COMPAQ_CRYPTO_UNSUPPORTED_ALG_PAD       (CSSM_CSP_PRIVATE_ERROR + 5)
#define COMPAQ_CRYPTO_UNSUPPORTED_ALG_TYPE      (CSSM_CSP_PRIVATE_ERROR + 6)
#define COMPAQ_CRYPTO_MAP_FILE_READ_ERROR       (CSSM_CSP_PRIVATE_ERROR + 7)

#define compaq_crypto_subserviceid 0

#endif /* _COMPAQ_GUIDS_H_ */
